org.w3c.dom.events

## Interface EventListener

    public interface EventListener

The `EventListener` interface is the primary method for handling events. Users implement the `EventListener` interface and register their listener on an `EventTarget` using the `AddEventListener` method. The users should also remove their `EventListener` from its `EventTarget` after they have completed using the listener.

When a `Node` is copied using the `cloneNode` method the `EventListener`s attached to the source `Node` are not attached to the copied `Node`. If the user wishes the same `EventListener`s to be added to the newly created copy the user must add them manually.

See also the Document Object Model (DOM) Level 2 Events Specification.

Since:
  DOM Level 2

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `handleEvent(Event evt)` This method is called whenever an event occurs of the type for which the `EventListener` interface was registered.

### Method Detail

#### handleEvent

    void handleEvent(Event evt)

This method is called whenever an event occurs of the type for which the `EventListener` interface was registered.

Parameters:
  `evt` - The `Event` contains contextual information about the event. It also contains the `stopPropagation` and `preventDefault` methods which are used in determining the event's flow and default action.

org.w3c.dom.events, org.w3c.dom.ranges and org.w3c.dom.traversal packages Copyright © 2000 W3C® (MIT, INRIA, Keio), All Rights Reserved. W3C liability, trademark, document use and software licensing rules apply. This document has been reviewed by W3C Members and other interested parties and has been endorsed by the Director as a W3C Recommendation